Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Interface EntityOPS

public interface EntityOPS

Method Summary
`void` | `create(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String[] parentkeys, ObjectNode node)` Persist a new object by its parent keys.
`java.util.ArrayList` | `get(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String[] parentkeys)` Retrive object by its parent key(s)
`void` | `remove(java.sql.Connection conn, java.util.HashMap opsmap, ObjectNode node)` Remove an existing object.
`void` | `update(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String[] parentkeys, ObjectNode node)` Update an existing object by its parent keys.

Method Detail

### create

    public void create(java.sql.Connection conn,
                       java.util.HashMap opsmap,
                       java.lang.String[] parentkeys,
                       ObjectNode node)
                throws OPSException

  Persist a new object by its parent keys.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - HashMap of entity object ops handles.
    `parentkeys` - Array of parent keys.
    `node` - ObjectNode to be persisted.
  Throws:
    `OPSException` - if an error occurs.

### get

    public java.util.ArrayList get(java.sql.Connection conn,
                                   java.util.HashMap opsmap,
                                   java.lang.String[] parentkeys)
                            throws OPSException

  Retrive object by its parent key(s)

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - HashMap of entity object ops handles.
    `parentkeys` - Array of parent keys.
  Returns:
    list of objects
  Throws:
    `OPSException` - if an error occurs.

### remove

    public void remove(java.sql.Connection conn,
                       java.util.HashMap opsmap,
                       ObjectNode node)
                throws OPSException

  Remove an existing object.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - HashMap of entity object ops handles.
    `node` - ObjectNode to be removed.
  Throws:
    `OPSException` - if an error occurs.

### update

    public void update(java.sql.Connection conn,
                       java.util.HashMap opsmap,
                       java.lang.String[] parentkeys,
                       ObjectNode node)
                throws OPSException

  Update an existing object by its parent keys.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - HashMap of entity object ops handles.
    `parentkeys` - Array of parent keys.
    `node` - ObjectNode to update.
  Throws:
    `OPSException` - if an error occurs.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.